Signal/Geometry Processing Library (SPL) 1.1.24 |

Public Types | Public Member Functions | Static Public Member Functions | List of all members
SPL::Arcball< T > Class Template Reference
CGAL Utilities

Arcball. More...

`#include <Arcball.hpp>`

## Public Types
typedef T | Kernel
| The CGAL kernel. More...
typedef Kernel::Point_3 | Point
| The point type. More...
typedef Kernel::Vector_3 | Vector
| The vector type. More...
typedef Rotation_3< Kernel > | Rotation
| The representation of a rotation. More...

## Public Member Functions
| Arcball ()
| Create an arcball. More...
void | initialize (double arcBallRadius, const Point &eyePos, const Vector &eyeDir, const Vector &eyeUp, const Point &sceneCenter)
| Initialize the state of an arcball. More...
void | setMode (int mode)
| Set the arcball rotation mode. More...
void | start (const Point &pos)
| Set the starting position for arcball movement. More...
void | move (const Point &pos)
| Set the current position for arcball movement. More...
void | clear ()
| Clear the starting and current positions for the arcball. More...
Rotation | getRotation () const
| Get the rotation required to turn the arcball from the starting position to the current position. More...
void | setDebugLevel (int debugLevel) const
| For debugging... More...

## Static Public Member Functions
static Rotation | combineRotations (const Rotation &, const Rotation &)
| Combine two rotations. More...

## Detailed Description

### template<class T>
class SPL::Arcball< T >

Arcball.

References: K. Shoemake, Arcball Rotation Control, Graphics Gems IV, 1994, pp. 175-192.

## Member Typedef Documentation

template<class T>

typedef T SPL::Arcball< T >::Kernel

The CGAL kernel.

template<class T>

typedef Kernel::Point_3 SPL::Arcball< T >::Point

The point type.

template<class T>

typedef Rotation_3<Kernel> SPL::Arcball< T >::Rotation

The representation of a rotation.

template<class T>

typedef Kernel::Vector_3 SPL::Arcball< T >::Vector

The vector type.

## Member Function Documentation

template<class T>

void SPL::Arcball< T >::setDebugLevel | ( | int | debugLevel | ) | const

For debugging...

The documentation for this class was generated from the following file:

- Arcball.hpp